Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVectorNorm Class Reference

`#include <vtkVectorNorm.h>`

Inheritance diagram for vtkVectorNorm:

[legend]
Collaboration diagram for vtkVectorNorm:

[legend]
List of all members.

## Detailed Description

generate scalars from Euclidean norm of vectors

Date:
  2002/01/22 15:29:55

Revision:
  1.35

vtkVectorNorm is a filter that generates scalar values by computing Euclidean norm of vector triplets. Scalars can be normalized 0<=s<=1 if desired.

Note that this filter operates on point or cell attribute data, or both. By default, the filter operates on both point and cell data if vector point and cell data, respectively, are available from the input. Alternatively, you can choose to generate scalar norm values for just cell or point data.

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (69%)
  - Geveci, Berk (9%)
  - Martin, Ken (9%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkVectorNorm.h)`
  - .`cxx` (`/Graphics/vtkVectorNorm.cxx)`

Tests:
  vtkVectorNorm (Tests)

Definition at line 57 of file vtkVectorNorm.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetNormalize (int)
virtual int | GetNormalize ()
virtual void | NormalizeOn ()
virtual void | NormalizeOff ()
virtual void | SetAttributeMode (int)
virtual int | GetAttributeMode ()
void | SetAttributeModeToDefault ()
void | SetAttributeModeToUsePointData ()
void | SetAttributeModeToUseCellData ()
const char * | GetAttributeModeAsString ()
## Static Public Methods
int | IsTypeOf (const char *type)
vtkVectorNorm * | SafeDownCast (vtkObject *o)
vtkVectorNorm * | New ()
## Protected Methods
| vtkVectorNorm ()
| ~vtkVectorNorm ()
void | Execute ()
## Protected Attributes
int | Normalize
int | AttributeMode

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkVectorNorm::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Definition at line 60 of file vtkVectorNorm.h.

## Constructor & Destructor Documentation

vtkVectorNorm::vtkVectorNorm | ( |  | ) | `[protected]`

vtkVectorNorm::~vtkVectorNorm | ( |  | ) | `[inline, protected]`

| Definition at line 93 of file vtkVectorNorm.h.

## Member Function Documentation

virtual const char* vtkVectorNorm::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter.

int vtkVectorNorm::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

virtual int vtkVectorNorm::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter.

vtkVectorNorm* vtkVectorNorm::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter.

void vtkVectorNorm::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter.

vtkVectorNorm* vtkVectorNorm::New | ( |  | ) | `[static]`

| Construct with normalize flag off. Reimplemented from vtkObject.

virtual void vtkVectorNorm::SetNormalize | ( | int |  | ) | `[virtual]`

| Specify whether to normalize scalar values.

virtual int vtkVectorNorm::GetNormalize | ( |  | ) | `[virtual]`

| Specify whether to normalize scalar values.

virtual void vtkVectorNorm::NormalizeOn | ( |  | ) | `[virtual]`

| Specify whether to normalize scalar values.

virtual void vtkVectorNorm::NormalizeOff | ( |  | ) | `[virtual]`

| Specify whether to normalize scalar values.

virtual void vtkVectorNorm::SetAttributeMode | ( | int |  | ) | `[virtual]`

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

virtual int vtkVectorNorm::GetAttributeMode | ( |  | ) | `[virtual]`

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

void vtkVectorNorm::SetAttributeModeToDefault | ( |  | ) | `[inline]`

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 82 of file vtkVectorNorm.h. References VTK_ATTRIBUTE_MODE_DEFAULT.

void vtkVectorNorm::SetAttributeModeToUsePointData | ( |  | ) | `[inline]`

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 84 of file vtkVectorNorm.h. References VTK_ATTRIBUTE_MODE_USE_POINT_DATA.

void vtkVectorNorm::SetAttributeModeToUseCellData | ( |  | ) | `[inline]`

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData). Definition at line 86 of file vtkVectorNorm.h. References VTK_ATTRIBUTE_MODE_USE_CELL_DATA.

const char* vtkVectorNorm::GetAttributeModeAsString | ( |  | ) |

| Control how the filter works to generate scalar data from the input vector data. By default, (AttributeModeToDefault) the filter will generate the scalar norm for point and cell data (if vector data present in the input). Alternatively, you can explicitly set the filter to generate point data (AttributeModeToUsePointData) or cell data (AttributeModeToUseCellData).

void vtkVectorNorm::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource.

## Member Data Documentation

int vtkVectorNorm::Normalize`[protected]`

| Definition at line 97 of file vtkVectorNorm.h.

int vtkVectorNorm::AttributeMode`[protected]`

| Definition at line 98 of file vtkVectorNorm.h.

The documentation for this class was generated from the following file:

- Graphics/vtkVectorNorm.h